# Generated by Django 5.0.4 on 2024-05-09 14:42

import django
import wagtail
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0144_remove_districthomepage_custom_logo_and_more"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="districthomepage",
            name="region_map_button_text",
        ),
        migrations.AddField(
            model_name="districthomepage",
            name="important_item_name",
            field=models.CharField(
                blank=True,
                help_text="Pokud není odkazovaná stránka na Majáku, použij možnost zadání samotné adresy níže.",
                max_length=16,
                null=True,
                verbose_name="Jméno",
            ),
        ),
        migrations.AddField(
            model_name="districthomepage",
            name="important_item_page",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to="wagtailcore.page",
                verbose_name="Stránka",
            ),
        ),
        migrations.AddField(
            model_name="districthomepage",
            name="important_item_url",
            field=models.URLField(blank=True, null=True, verbose_name="Adresa"),
        ),
        migrations.AddField(
            model_name="districthomepage",
            name="menu_button_content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "navbar_menu_item",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "button_link",
                                    wagtail.blocks.URLBlock(label="Odkaz tlačítka"),
                                ),
                                (
                                    "button_text",
                                    wagtail.blocks.CharBlock(label="Text tlačítka"),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="Obsah menu pro zapojení se",
            ),
        ),
        migrations.AddField(
            model_name="districthomepage",
            name="menu_button_name",
            field=models.CharField(
                default="Zapoj se",
                max_length=16,
                verbose_name="Text na tlačítku pro zapojení",
            ),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="districthomepage",
            name="social_links",
            field=wagtail.fields.StreamField(
                [
                    (
                        "social_links",
                        wagtail.blocks.StructBlock(
                            [
                                ("text", wagtail.blocks.CharBlock(label="Název")),
                                ("link", wagtail.blocks.URLBlock(label="Odkaz")),
                                (
                                    "icon",
                                    wagtail.blocks.CharBlock(
                                        help_text="Seznam ikon - https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons <br/>Název ikony zadejte bez tečky na začátku",
                                        label="Ikona",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="Odkazy na sociální sítě",
            ),
        ),
        migrations.AlterField(
            model_name="districthomepage",
            name="menu",
            field=wagtail.fields.StreamField(
                [
                    (
                        "menu_item",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Pokud není odkazovaná stránka na Majáku, použij možnost zadání samotné adresy níže.",
                                        label="Titulek",
                                        required=True,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "menu_parent",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "menu_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek", required=True
                                                    ),
                                                ),
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka", required=False
                                                    ),
                                                ),
                                                (
                                                    "link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz", required=False
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Položky menu",
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Položky",
            ),
        ),
    ]
